<!DOCTYPE html>
<html x-data='{ 
    selectedTheme: $persist("light"), 
    themes: [
      "light",
      "dark",
      "cupcake",
      "bumblebee",
      "emerald",
      "corporate",
      "synthwave",
      "retro",
      "cyberpunk",
      "valentine",
      "halloween",
      "garden",
      "forest",
      "aqua",
      "lofi",
      "pastel",
      "fantasy",
      "wireframe",
      "black",
      "luxury",
      "dracula",
      "cmyk",
      "autumn",
      "business",
      "acid",
      "lemonade",
      "night",
      "coffee",
      "winter",
    ] }' lang="en" :data-theme="selectedTheme">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Django on Steroides</title>
    
    <script src="https://unpkg.com/htmx.org@1.9.6"></script>
    <script defer src="https://cdn.jsdelivr.net/npm/@alpinejs/persist@3.13.1/dist/cdn.min.js"></script>
    <script defer src="https://cdn.jsdelivr.net/npm/alpinejs@3.13.1/dist/cdn.min.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/daisyui@3.9.1/dist/full.css" rel="stylesheet" type="text/css" />
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body>
    <div class="drawer">
        <input id="my-drawer-3" type="checkbox" class="drawer-toggle" /> 
        <div class="drawer-content flex flex-col">
            <!-- Navbar -->
            <div class="w-full navbar bg-base-300">
                <div class="flex-none lg:hidden">
                    <label for="my-drawer-3" aria-label="open sidebar" class="btn btn-square btn-ghost">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" class="inline-block w-6 h-6 stroke-current"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16"></path></svg>
                    </label>
                </div> 
                <a href="{% url 'home' %}" class="flex-1 px-2 mx-2 uppercase">Afloapp</a>
                <div class="flex-none hidden lg:block">
                    <ul class="menu menu-horizontal">
                        <!-- Navbar menu content here -->
                        <li><a href="{% url 'map' %}">Map</a></li>
                        <li><a href="{% url 'test' %}">Test</a></li>
                    </ul>
                </div>
                <div class="flex-none gap-2">
                    <select class="select w-full max-w-xs" x-model="selectedTheme" >
                        <template x-for="theme in themes" :key="theme">
                            <option :value="theme" x-text="theme" :selected="theme == selectedTheme"></option>
                        </template>
                      </select>
                    <div class="dropdown dropdown-end">
                      <label tabindex="0" class="btn btn-ghost btn-circle avatar">
                        <div class="w-10 rounded-full">
                          <img src="https://i.pravatar.cc/300" />
                        </div>
                      </label>
                      <ul tabindex="0" class="mt-3 z-[1] p-2 shadow menu menu-sm dropdown-content bg-base-100 rounded-box w-52">
                        <li>
                          <a class="justify-between">
                            Profile
                            <span class="badge">New</span>
                          </a>
                        </li>
                        <li><a>Settings</a></li>
                        <li><a>Logout</a></li>
                      </ul>
                    </div>
                  </div>
            </div>
            <div>
                {% block content %}{% endblock content %}
            </div>
        </div> 
    <div class="drawer-side">
        <label for="my-drawer-3" aria-label="close sidebar" class="drawer-overlay"></label> 
        <ul class="menu p-4 w-80 min-h-full bg-base-200">
            <!-- Sidebar content here -->
            <li><a>Sidebar Item 1</a></li>
            <li><a>Sidebar Item 2</a></li>
        </ul>
        </div>
    </div>
</body>
</html>